<?php

declare(strict_types=1);

namespace Drupal\role_enum_test\Enum;

use Drupal\role_enum\Enum\ConfigBackedRoleInterface;

enum TestRoles: string implements ConfigBackedRoleInterface {

  case Foo = 'foo';
  case Bar = 'bar';

  public function id(): string {
    return $this->value;
  }

  public function label(): string {
    return $this->name;
  }

}
